Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZCompEncode

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZCompEncode

public class FQZCompEncode extends Object
Placeholder for the (not yet implemented) CRAM 3.1 FQZComp quality score encoder.

## Constructor Summary

Constructors
Constructor
Description
`FQZCompEncode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`compress(ByteBuffer inBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZCompEncode

public FQZCompEncode()

## Method Details

### compress

public ByteBuffer compress(ByteBuffer inBuffer)